LFR-FSW - Bug #1745

Corrections dans SDD pour relivraison DATAPACK R3++ updated
07/07/2017 04:11 PM - bruno katra

Status: Closed Start date: 07/07/2017
Priority: Urgent Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Ci-dessous I'ensemble des bugs a corriger dans le SDD pour DP R3++ updated attendu pour fin Aout 2017:

Ies numéros de req SRS

NON DEMANDE :

- SBBb+—Mettre-lesrefs-vers RED+-SVerRpourlesregs-EBAG-Brune FAIT

History

#1 - 07/07/2017 04:18 PM - bruno katra

- Description updated

#2 - 21/08/2017 04:40 PM - bruno katra

- Description updated

#3 - 21/08/2017 04:49 PM - bruno katra

- Description updated

#4 - 21/08/2017 04:51 PM - bruno katra

- Description updated

#5 - 21/08/2017 04:58 PM - bruno katra

- Description updated

#6 - 23/08/2017 04:36 PM - bruno katra
- Project changed from Solar Orbiter LFR to LFR-FSW

#7 - 29/08/2017 04:32 PM - bruno katra
https://jira-lesia.obspm.fr/browse/RPWSWR-150
https://jira-lesia.obspm.fr/browse/RPWSWR-615
https://jira-lesia.obspm.fr/browse/RPWSWR-671
https://jira-lesia.obspm.fr/browse/RPWSWR-671

- File RPW-MEB-LFR-SDD-00039-1-4_LFR_Software_Design_Document.odt added
- Description updated
- Status changed from New to In Progress

- Priority changed from High to Urgent

Je joins la version 1.4 du SDD, il s'agit du SDD livré par Paul (1.3) mis & jour avec les points 4 + 5 et une partie du point 3 + corrections d'erreurs de
numérotations entre SDD et SRS.

Paul, il faudrait partir de cette version pour ajouter tes modifs demandés par https://jira-lesia.obspm.fr/browse/RPWSWR-150 et
https://jira-lesia.obspm.fr/browse/RPWSWR-615.

#8 - 11/09/2017 10:33 AM - bruno katra

- Description updated

#9 - 11/09/2017 05:30 PM - bruno katra

- Description updated

#10 - 12/09/2017 12:12 PM - bruno katra

- Description updated

#11 - 12/09/2017 12:12 PM - bruno katra

- Description updated

#12 - 12/09/2017 12:13 PM - bruno katra
- File deleted (RPW-MEB-LFR-SDD-00039-1-4_LFR_Software_Design _Document.odt)

#13 - 12/09/2017 12:14 PM - bruno katra
- File RPW-MEB-LFR-SDD-00039-1-4_LFR_Software_Design_Document.odt added

#14 - 27/09/2017 04:18 PM - paul leroy
Je reprends I'énoncé de l'issue JIRA RPWSWR-150:

Where and how the different SW modes have an impact on the SW definition and execution? (for example, which tasks change their behavior and
what are the impacts on the SW dynamics when the mode changes from "NORMAL" to "SBM1"?).

Pour moi tout est décrit dans les paragraphes 5-2 a 5-9 du SDD.

Some explanation should be given on this point. It is also noted that the deadlines of the different task could change from a mode to another, in which
case, the schedulability analysis should be performed for all the modes.

Il'y a des explications dans le SDD et je pense qu'elles sont suffisantes. J'ai décrit le fonctionnement du mode le plus demandeur, SBM1, avec des
chiffres a I'appui au niveau de la charge CPU et des péridoes d'exécution. Je ne vois pas ce que je pourrais ajouter sans devoir y repasser plusieurs
jours, ce qui serait trés exégaré vu l'enjeu.

#15 - 28/09/2017 08:52 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

#16 - 28/09/2017 11:04 AM - paul leroy

Dans fsw_params.h

#define TASK_PRIORITY_SPIQ 5

#define TASK_PRIORITY_LINK 20

#define TASK_PRIORITY_AVGV 25

#define TASK_PRIORITY_HOUS 30

#define TASK_PRIORITY_CWF1l 35 // CWFl and CWF2 are never running together

#define TASK_PRIORITY_CWF2 35  //

#define TASK_PRIORITY_SWBD 37 // SWBD has a lower priority than WFRM, this is to extract the snapshot before
sending it

#define TASK_PRIORITY_WFRM 40

#define TASK_PRIORITY_CWF3 40 // there is a printf in this function, be careful with its priority wrt CWF1
#define TASK_PRIORITY_SEND 45

#define TASK_PRIORITY_RECV 50

#define TASK_PRIORITY_ACTN 50

#define TASK_PRIORITY_AVFO 60

#define TASK_PRIORITY_AVF1l 70
#define TASK_PRIORITY_PRCO 100
#define TASK_PRIORITY_PRC1 100
#define TASK_PRIORITY_AVF2 110
#define TASK_PRIORITY_PRC2 110
#define TASK_PRIORITY_LOAD 190
#define TASK_PRIORITY_DUMB 200

#17 - 28/09/2017 03:39 PM - bruno katra

- Description updated

#18 - 29/09/2017 04:15 PM - bruno katra

- Status changed from In Progress to Closed

Tout a été pris en compte dans datapack R3++ et JIRAs commentés

Files

RPW-MEB-LFR-SDD-00039-1-4_LFR_Software_Design_Document.od818 KB 12/09/2017 bruno katra
